Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.xslt
Interface AdapterNode

All Superinterfaces:
  Node

All Known Implementing Classes:
  AbstractAdapterElement, AbstractAdapterNode, ArrayAdapter, BeanAdapter, CollectionAdapter, MapAdapter, MapAdapter.EntryElement, ProxyAttrAdapter, ProxyElementAdapter, ProxyNodeAdapter, ProxyTextNodeAdapter, SimpleAdapterDocument, SimpleTextNode, StringAdapter

    public interface AdapterNode

extends Node

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`AdapterFactory` | `getAdapterFactory()` The adapter factory that created this node.
`Node` | `getChildAfter(Node thisNode)` The child node after the specified sibling
`Node` | `getChildBefore(Node thisNode)` The child node before the specified sibling
`AdapterNode` | `getParent()` The parent adapter node of this node.
`String` | `getPropertyName()` The name of the Java object (property) that we are adapting
`Object` | `getPropertyValue()` The Java object (property) that we are adapting
`void` | `setAdapterFactory(AdapterFactory factory)` The adapter factory that created this node.
`void` | `setParent(AdapterNode parent)` The parent adapter node of this node.
`void` | `setPropertyName(String name)` The name of the Java object (property) that we are adapting
`void` | `setPropertyValue(Object prop)` The Java object (property) that we are adapting

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getAdapterFactory

    AdapterFactory getAdapterFactory()

  The adapter factory that created this node.

### setAdapterFactory

    void setAdapterFactory(AdapterFactory factory)

  The adapter factory that created this node.

### getParent

    AdapterNode getParent()

  The parent adapter node of this node. Note that our parent must be another adapter node, but our children may be any kind of Node.

### setParent

    void setParent(AdapterNode parent)

  The parent adapter node of this node. Note that our parent must be another adapter node, but our children may be any kind of Node.

### getChildBefore

    Node getChildBefore(Node thisNode)

  The child node before the specified sibling

### getChildAfter

    Node getChildAfter(Node thisNode)

  The child node after the specified sibling

### getPropertyName

    String getPropertyName()

  The name of the Java object (property) that we are adapting

### setPropertyName

    void setPropertyName(String name)

  The name of the Java object (property) that we are adapting

### getPropertyValue

    Object getPropertyValue()

  The Java object (property) that we are adapting

### setPropertyValue

    void setPropertyValue(Object prop)

  The Java object (property) that we are adapting

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.